#
# spec file for package aopalliance
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           aopalliance
VCS: https://src.suse.de/SLFO-pool/aopalliance#e16cbecf6a6a5e43cd54c75df0fac6c417442566197e0cd4a1f543fb5cf68dad
Version:        1.0
Release:        160000.2.7
Summary:        Java/J2EE AOP standards
License:        SUSE-Public-Domain
Group:          Development/Libraries/Java
URL:            https://aopalliance.sourceforge.net/
# cvs -d:pserver:anonymous@aopalliance.cvs.sourceforge.net:/cvsroot/aopalliance login
# password empty
# cvs -z3 -d:pserver:anonymous@aopalliance.cvs.sourceforge.net:/cvsroot/aopalliance export -r HEAD aopalliance
Source0:        aopalliance-src.tar.gz
Patch0:         aopalliance-manifest.patch
BuildRequires:  ant
BuildRequires:  fdupes
BuildRequires:  javapackages-local
BuildArch:      noarch

%description
Aspect-Oriented Programming (AOP) offers a better solution to many
problems than do existing technologies, such as EJB.  AOP Alliance
facilitates and standardizes the use of AOP.

This package contains APIs for program instrumentation, interception
mechanisms, and a set of interfaces for implementing a generic
reflection API.

%package javadoc
Summary:        API documentation for %{name}
Group:          Documentation/HTML

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}
# Inject OSGi manifest required by Eclipse.
%patch -P 0 -p1

%build
export CLASSPATH=
export OPT_JAR_LIST=:
%{ant} \
  -Dant.build.javac.source=1.8 \
  -Dant.build.javac.target=1.8 \
  jar javadoc

%install
# jar
install -dm 0755 %{buildroot}%{_javadir}
install -pm 0644 build/%{name}.jar %{buildroot}%{_javadir}/%{name}.jar

# maven metadata
%add_maven_depmap aopalliance:aopalliance:%{version} %{name}.jar

# javadoc
install -dm 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr build/javadoc/* %{buildroot}%{_javadocdir}/%{name}/
%fdupes -s %{buildroot}%{_javadocdir}

%files -f .mfiles

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Tue Feb 20 2024 dimstar@opensuse.org
- Use %%patch -P N instead of deprecated %%patchN.
* Tue May 16 2023 fstrba@suse.com
- Register artifact by coordinates, since an artifact without
  dependencies does not need a pom
- Added patch:
  * aopalliance-manifest.patch
    + add OSGi manifest during the jar packaging
* Mon May 15 2023 fcrozat@suse.com
- Update url to use https
* Sat Mar 19 2022 fstrba@suse.com
- Build with source/target levels 8
* Thu Feb  7 2019 jengelh@inai.de
- Actually say what's included.
* Fri Oct 26 2018 fstrba@suse.com
- Initial packaging of aopalliance adapted from Fedora package
